Package org.eclipse.jgit.transport

## Class UploadPackMayNotContinueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.transport.ServiceMayNotContinueException
        - - org.eclipse.jgit.transport.UploadPackMayNotContinueException

All Implemented Interfaces:
  `Serializable`

    @Deprecated
    public class UploadPackMayNotContinueException
    extends ServiceMayNotContinueException

Deprecated.
use `ServiceMayNotContinueException` instead.
Indicates UploadPack may not continue execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`UploadPackMayNotContinueException()` Deprecated. Initialize with no message.
`UploadPackMayNotContinueException​(String msg)` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.jgit.transport.ServiceMayNotContinueException

`isOutput, setOutput`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UploadPackMayNotContinueException

    public UploadPackMayNotContinueException()

Deprecated.
Initialize with no message.

#### UploadPackMayNotContinueException

    public UploadPackMayNotContinueException​(String msg)

Deprecated.

Parameters:
  `msg` - a message explaining why it cannot continue. This message may be shown to an end-user.